{-# LANGUAGE TemplateHaskell #-}
module NoSlow.Micro.StorableVector
where

import Foreign ( Storable )
import qualified NoSlow.Backend.StorableVector as Impl
import qualified NoSlow.Micro.Kernels as K
import NoSlow.Backend.TH

import Language.Haskell.TH

$(specialise (Spec {
                specModule = "Impl"
              , specContext = \_ a -> [(''Storable, [VarT a])]
              , specVars    = [("v", ConT ''Impl.Vector)]
              })
  K.kernels)

