{-# LANGUAGE TemplateHaskell #-}
module NoSlow.Micro.Uvector
where

import qualified NoSlow.Backend.Uvector as Impl
import qualified NoSlow.Micro.Kernels as K
import NoSlow.Backend.TH

import Language.Haskell.TH

$(specialise (Spec {
                specModule = "Impl"
              , specContext = \_ a -> [(''Impl.UA, [VarT a])]
              , specVars    = [("v", ConT ''Impl.UArr)]
              })
  K.kernels)

